[Overview][Classes][Index] | Reference for unit 'elfwriter' (#fcl-res)

# TElfResourceWriter.MachineType

The machine type of the object file

## Declaration

Source position: elfwriter.pp line 55

`public property TElfResourceWriter.MachineType : TElfMachineType read fMachineType write SetMachineType;`

## Description

This property can be used to set the machine type of the object file to write.

If an attempt is made to set MachineType to an unsupported value, an EElfResourceWriterUnknownMachineException exception is raised.

## See also

TElfMachineType |  | Enumeration for ELF machine type
EElfResourceWriterUnknownMachineException |  | Unknown machine type error